Subject: RE: [ippm] Comments on draft-ietf-ippm-owdp-01.txt

From: "Geib, Ruediger" <[email-masked]>
Date: Fri, 23 Feb 2001 08:06:02 +0100

I just wanted to indicate support for Joan's view. If we develop a new
control plane protocol, why don't we apply state of the art message encoding
rules?

Regards, Rüdiger

>>> 7) For a standard, we thought the format of the control
>>>    plane messages should be modeled after a TLV.
  
>> This wasn't really ingestigated as any serious extensibility goes
>> contrary to the goal of having a really simple easy-to-implement
>> control protocol.  We didn't have a goal to design a flexible
>> general-purpose protocol for "passing things".
>> 
>> If you feel strongly about the issue and have a specific model in
>> mind, do tell us!
  
> The TLV format would offer consistency in the packet format.  
> It is also somewhat widely used and understood so would help 
> to advance the protocol.  This format is also easy to extend, 
> which may not be a goal at the moment but assuming there is a 
> rev 2 of the protocol, then adopting a consistent packet format 
> would make a rev 2 much easier, e.g. packets could be deprecated
> based on the "type" and new types added, and that is much 
> easier than trying to rewrite various kinds of packet formats.  
> It is also a lot less coding, debugging, etc.
> 
> We consider this fairly important because of the reasons 
> stated above, and would encourage use of this format for packets. 
> We can provide examples if you think that would be helpful.
_______________________________________________
ippm mailing list
[email-masked]
http://mailhost.advanced.org/mailman/listinfo/ippm